From f4ca196743929ce0904cf05a01b473b7b8395601 Mon Sep 17 00:00:00 2001
From: "aleksandr.vodianov" <aleksandr.vodianov@demlabs.net>
Date: Tue, 14 Sep 2021 17:52:23 +0300
Subject: [PATCH] fixed error if build failed

---
 linux/debian/scripts/compile_and_pack.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/linux/debian/scripts/compile_and_pack.sh b/linux/debian/scripts/compile_and_pack.sh
index 8d9ec0d..fa85a30 100755
--- a/linux/debian/scripts/compile_and_pack.sh
+++ b/linux/debian/scripts/compile_and_pack.sh
@@ -28,7 +28,7 @@ error=0
 #2DO: add trap command to clean the sources on exit.
 trap cleanup SIGINT
 codename=$(lsb_release -a | grep Codename | cut -f2)
-dpkg-buildpackage -J -us --changes-option=--build=any -uc
+dpkg-buildpackage -J -us --changes-option=--build=any -uc || error=$?
 if [[ $(ls .. | grep 'dbgsym') != "" ]]; then
 	rm -f ../*dbgsym*
 fi
-- 
GitLab